org.jetlang.remote.core

## Class CloseableChannel<T>

- java.lang.Object
- - org.jetlang.remote.core.CloseableChannel<T>

All Implemented Interfaces:
  org.jetlang.channels.Channel<T>, org.jetlang.channels.Publisher<T>, org.jetlang.channels.Subscriber<T>

    public class CloseableChannel<T>
    extends Object
    implements org.jetlang.channels.Channel<T>

### Nested Class Summary

Nested Classes
`static class` `CloseableChannel.Group`

### Constructor Summary

Constructors
Constructor and Description
`CloseableChannel(org.jetlang.channels.Channel<T> target)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `isClosed()`
`void` `publish(T t)`
`org.jetlang.core.Disposable` `subscribe(org.jetlang.core.DisposingExecutor disposingExecutor, org.jetlang.core.Callback<T> tCallback)`
`org.jetlang.core.Disposable` `subscribe(org.jetlang.channels.Subscribable<T> tSubscribable)`
`int` `subscriptionCount()`
`static <T> CloseableChannel<T>` `wrap(org.jetlang.channels.Channel<T> channel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CloseableChannel

    public CloseableChannel(org.jetlang.channels.Channel<T> target)

### Method Detail

#### publish

    public void publish(T t)

Specified by:
  `publish` in interface `org.jetlang.channels.Publisher<T>`

#### subscribe

    public org.jetlang.core.Disposable subscribe(org.jetlang.core.DisposingExecutor disposingExecutor,
                                                 org.jetlang.core.Callback<T> tCallback)

Specified by:
  `subscribe` in interface `org.jetlang.channels.Subscriber<T>`

#### subscribe

    public org.jetlang.core.Disposable subscribe(org.jetlang.channels.Subscribable<T> tSubscribable)

Specified by:
  `subscribe` in interface `org.jetlang.channels.Subscriber<T>`

#### subscriptionCount

    public int subscriptionCount()

#### isClosed

    public boolean isClosed()

#### close

    public void close()

#### wrap

    public static <T> CloseableChannel<T> wrap(org.jetlang.channels.Channel<T> channel)